# frozen_string_literal: true

# Se encarga del contenido del artículo y quizás otros campos que
# requieran texto largo.
class MetadataContent < MetadataTemplate
  def default_value
    ''
  end

  def value
    self[:value] || document.content || default_value
  end

  def front_matter?
    false
  end
end
