# frozen_string_literal: true

class MetadataDate < MetadataTemplate
  def default_value
    Date.today
  end

  # Ver MetadataDocumentDate
  def value
    return self[:value] if self[:value].is_a? Date
    return self[:value] if self[:value].is_a? Time

    begin
      self[:value] = Date.parse(self[:value] || document.data[name.to_s])
    rescue ArgumentError, TypeError
      default_value
    end
  end
end
